{% extends 'base.html' %}
{% load humanize %}

{% block content %}
<div class="container mt-5">
    <h1> Loan History</h1>
    <div class="col-9 mb-5">

        <div class="row mt-3">
            <div class="mr-2">
                <a href="{% url 'download_loan' %}" class="btn btn-md btn-success font-weight-bold">
                    <i class="fas fa-download mr-2"></i>Download Loans History</a>
            </div>
        </div>
    </div>
    <table class="mt-5">
        <thead>
        <tr>
            <th class="text-align-center">Sr. No.</th>
            <th>Amount</th>
            <th>Description</th>
            <th>Loan Approved</th>
            <th>Date Created</th>
        </tr>
        </thead>
        <tbody>
        {% for loan in loans %}
        <tr>
            <td scope="row" data-title="Sr. No.">{{ forloop.counter0|add:loans.start_index }}</td>
            <td data-title="Amount">{{ loan.amount|intcomma }}</td>
            <td data-title="Description">
                {% if loan.approved is None %}
                    Approval is pending...
                {% else %}
                    {{ loan.description }}
                {% endif %}
            </td>
            <td data-title="Amount">
                {% if loan.approved %}
                    Yes
                {% elif loan.approved is None %}
                    Pending
                {% else %}
                    No
                {% endif %}
            </td>
            <td data-title="Date Created">{{ loan.date_created }}</td>
        </tr>
        {% endfor %}
        </tbody>
    </table>

    <!---- Pagination ----->
    <div class="row mt-5 mb-5 justify-content-center">
        {% if loans.has_other_pages %}
        <nav aria-label="Page navigation example">

            <ul class="pagination pg-dark">
                {% if loans.has_previous %}
                <li class="page-item ">
                    <a class="page-link" tabindex="-1"
                       href="?page={{ loans.previous_page_number }}">
                        Previous</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link" tabindex="-1">Previous</a>
                </li>
                {% endif %}
                {% for i in loans.paginator.page_range %}
                {% if loans.number == i %}
                <li class="page-item active">
                    <a class="page-link">{{ i }} <span class="sr-only">(current)</span></a>
                </li>
                {% else %}
                <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a>
                </li>
                {% endif %}
                {% endfor %}
                {% if loans.has_next %}
                <li class="page-item ">
                    <a class="page-link" href="?page={{ loans.next_page_number }}">Next</a>
                </li>
                {% else %}
                <li class="page-item disabled">
                    <a class="page-link">Next</a>
                </li>
                {% endif %}

            </ul>
        </nav>
        {% endif %}
        <!----- Pagination (endblock)---->
    </div>
</div>

{% endblock %}